public class Asteroid {
  float x;
  float y;
  float speed;
  float direction;
  int size;
  
  Asteroid() {
    // set the position to be somewhere in space
    // also, as a better case, don't put it near the ship
    // at the beginning.
    x = random(width);
    y = random(height);

    // set the speed and direction of the asteroid
    // randomly (within some good range)    
    speed = 0;
    direction = 0;
    
    // set the size of a default asteroid
    size = 20;
  }
 
  float getX() {
    return x; 
  }
  
  float getY() {
    return y; 
  }
  
  void draw() {
    // run the updatePosition method to make the 
    // asteroid calculate where it should be next
    updatePosition();
   
    // set a color/stroke for asteroids 
    noStroke();
    
    // draw the asteroids
    ellipse( x, y, size, size ); 
  }

  void updatePosition() {
    // update the position of the asteroid
    // x and y should change based on the speed and direction
    // of the asteroid.
    
    // if the asteroid is going off the canvas
    // move it to the other side
  }  
}
